Package org.codehaus.groovy.runtime.typehandling

# Class GroovyCastException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.ClassCastException
org.codehaus.groovy.runtime.typehandling.GroovyCastException

All Implemented Interfaces:
  `Serializable`

public class GroovyCastException extends ClassCastException

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroovyCastException(Object objectToCast, Class classToCastTo)`
  `GroovyCastException(Object objectToCast, Class classToCastTo, Exception cause)`
  `GroovyCastException(String message)`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GroovyCastException

    public GroovyCastException(Object objectToCast, Class classToCastTo, Exception cause)
    Parameters:
      `objectToCast` - object we tried to cast
      `classToCastTo` - class we tried to cast to
      `cause` - not kept but we pass on message from this Exception if any

  - ### GroovyCastException

    public GroovyCastException(Object objectToCast, Class classToCastTo)
    Parameters:
      `objectToCast` - object we tried to cast
      `classToCastTo` - class we tried to cast to

  - ### GroovyCastException

    public GroovyCastException(String message)
    Parameters:
      `message` - custom problem message